import styled from 'styled-components';

export const Popper = styled.div<{ position: PointType }>`
  position: absolute;
  top: ${(props) => props.position.y}px;
  left: ${(props) => props.position.x}px;
  transform: translate(-50%, -80px);
  z-index: 10;
`;

export default Popper;
