import styled, { keyframes } from 'styled-components';

const bouncedelay = keyframes`
  0%, 80%, 100% { 
    transform: scale(0);
  } 40% { 
    transform: scale(1.0);
  }
`;

export const Spinner = styled.div`
  margin: 2px auto 0;
  display: inline-block;
  width: auto;
  text-align: center;
`;

export const Bounce1 = styled.div`
  width: 14px;
  height: 14px;
  margin: 2px;
  background-color: #676767;

  border-radius: 100%;
  display: inline-block;
  animation: ${bouncedelay} 1.4s infinite ease-in-out both;
  animation-delay: -0.32s;
`;

export const Bounce2 = styled.div`
  width: 14px;
  height: 14px;
  margin: 2px;
  background-color: #676767;

  border-radius: 100%;
  display: inline-block;
  animation: ${bouncedelay} 1.4s infinite ease-in-out both;
  animation-delay: -0.16s;
`;

export const Bounce3 = styled.div`
  width: 14px;
  height: 14px;
  margin: 2px;
  background-color: #676767;

  border-radius: 100%;
  display: inline-block;
  animation: ${bouncedelay} 1.4s infinite ease-in-out both;
`;
