import styled from 'styled-components';

export const OuterWrapper = styled.div`
  position: fixed;
  left: 267px;
  right: 0;
  top: 60px;
  bottom: 0;
  overflow: scroll;
  text-align: center;
  -webkit-overflow-scrolling: touch;

  transition: all 225ms cubic-bezier(0, 0, 0.2, 1) 0ms;
`;

export const Wrapper = styled('div')<{ width: number }>`
  display: inline-flex;
  flex-direction: column;
  width: ${(props) => props.width}px;
  margin: 0 10px;
`;
