import styled from 'styled-components';

export const Container = styled.div`
  min-width: 300px;
  height: auto;
  min-height: 53px;
  border-radius: 5px;
  padding: 5px;
  box-shadow: 0 0 8px 0 rgba(0, 0, 0, 0.38);
  background-color: rgba(0, 0, 0, 0.6);
  position: relative;
  display: flex;
  align-items: center;

  :before {
    content: '';
    border-left: 20px solid transparent;
    border-right: 20px solid transparent;
    border-top: 20px solid rgba(0, 0, 0, 0.6);
    position: absolute;
    margin: auto;
    left: 0;
    right: 0;
    width: 0px;
    bottom: -20px;
  }
`;

export const Subtitle = styled.div`
  display: inline-block;
  color: #ffffff;
  padding: 0 10px 0 15px;
  min-width: 70px;
`;

export const SliderWrapper = styled.div`
  width: 220px;
`;
