const breakpoints = ['320px', '425px', '768px', '1024px', '1440px'];

export default {
  breakpoints,
  colors: {
    primary: '#586af2',
    'light-primary': 'rgba(88, 106, 242, 0.6)',
    secondary: '#2d3e4e',
    'primary-light': '#d7def9',
    'french-blue': '#3645b4',
    'lemon-yellow': '#fcff36',
    'strong-pink': '#ff1b89',
    'neon-green': '#02ff36',
    'light-blue': '#27befd',
    info: '#2979ff',
    success: '#43a047',
    error: '#d32f2f',
    danger: '#fe2712',
    warning: '#ffa000',
    gray: '#d8d8d8',
    'light-gray': '#e5e5e5',
    'hyper-light-gray': '#f2f2f2',
    'soft-blue': 'rgba(94, 112, 241, 0.12)',
    black05: 'rgba(0, 0, 0, 0.05)',
    black12: 'rgba(0, 0, 0, 0.12)',
    black23: 'rgba(0, 0, 0, 0.23)',
    black38: 'rgba(0, 0, 0, 0.38)',
    black56: 'rgba(0, 0, 0, 0.56)',
    black87: 'rgba(0, 0, 0, 0.87)',
  },
};
